Entity Management
Get All Entity
Retrieves a paginated list of entities, with support for filtering by type, status, country, and search terms.
GET
/
v2
/
api
/
entities
Get All Entity
curl --request GET \
--url https://api.youverify.co/v2/api/entities \
--header 'token: <api-key>'import requests
url = "https://api.youverify.co/v2/api/entities"
headers = {"token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {token: '<api-key>'}};
fetch('https://api.youverify.co/v2/api/entities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"statusCode": 200,
"message": "Entities fetched successfully!",
"data": {
"docs": [
{
"_id": "685c87dfe1d184f2663b4e41",
"businessId": "61d880f1e8e15aaf24558f1a",
"entityType": "business",
"incorporationNumber": "RC00000002",
"incorporationName": "Kord Industries",
"incorporationDate": "2019-06-09",
"address": "Somewhere on palmeras city",
"businessType": "Corporate Equity",
"taxId": null,
"status": "not_approved",
"profileStatus": "pending",
"incorporationCountry": "NG",
"createdBy": "61f162ec1fd251c3a63f31c2",
"isOnboarded": true,
"potentialEntityMatch": null,
"createdAt": "2025-06-25T23:35:59.293Z",
"lastModifiedAt": "2025-06-25T23:35:59.293Z",
"_createdAt": "2025-06-26T00:35:5959+01:00",
"_lastModifiedAt": "2025-06-26T00:35:5959+01:00",
"object": "entity",
"id": "ent_685c87dfe1d184f2663b4e41"
},
{
"businessId": "61d880f1e8e15aaf24558f1a",
"id": "ent_68ae3859d82e350f82fd9e95",
"firstName": "Sarah",
"lastName": "Doe",
"middleName": "Jane",
"entityType": "individual",
"gender": "female",
"taxId": null,
"status": "created",
"profileStatus": "pending",
"isOnboarded": true,
"dateOfBirth": "1988-04-04",
"createdAt": "2025-08-26T22:42:33.879Z",
"lastModifiedAt": "2025-08-26T22:42:37.860Z",
"createdBy": "61f162ec1fd251c3a63f31c2",
"_id": "68ae3859d82e350f82fd9e95",
"object": "entity"
}
],
"pagination": {
"type": "cursor",
"perPage": 20,
"nextPage": "685c7479519d82bd21a42fba",
"prevPage": null,
"hasNextPage": true,
"hasPrevPage": false
},
"searchTerms": {}
},
"links": []
}{
"success": false,
"statusCode": 401,
"message": "Permission denied",
"name": "UnauthorizedError",
"data": {}
}{
"success": false,
"statusCode": 429,
"message": "Too many requests",
"name": "RateLimitError",
"data": {}
}{
"success": false,
"statusCode": 500,
"message": "Internal Server Error",
"name": "Error",
"data": {}
}Authorizations
Your Youverify API secret key. Never expose client-side.
Headers
API secret token
Query Parameters
Field to sort by
Sort order, either 'asc' or 'desc'
Search query
Number of logs to return (default: 20)
Start date
End date
Comma separated list of statuses
Type of entity (individual or business)
Admin use only (comma separated list of business IDs)
A comma separated list of country codes
Whether the entity is a UBO (Ultimate Beneficial Owner)
Response
Success
⌘I
Get All Entity
